Derivatives Underlying Assets List with Data
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/derivatives/underlyings \
--header 'x-cg-pro-api-key: <api-key>'[
{
"id": "bitcoin",
"symbol": "btc",
"name": "Bitcoin",
"underlying_type": "coin",
"current_price": 68708.23462448928,
"price_change_percentage_24h": -6.6178,
"open_interest": 45451655842.73,
"open_interest_change_percentage_1h": 0.4049687860147835,
"open_interest_change_percentage_24h": -0.6338842407777445,
"funding_rate": -0.0000804249910959869,
"total_volume": 434673824874.8
},
{
"id": "gold",
"symbol": "xau",
"name": "Gold",
"underlying_type": "rwa",
"current_price": 3898.7874770946237,
"price_change_percentage_24h": -0.9,
"open_interest": 2910420695.36,
"open_interest_change_percentage_1h": -1.3335382491530214,
"open_interest_change_percentage_24h": 3.701439230747514,
"funding_rate": 0.01218484286453822,
"total_volume": 12515917595.08
}
]Derivatives Underlying Assets List with Data
To query all the supported derivatives underlying assets with price, open interest, funding rate and volume data
GET
/
derivatives
/
underlyings
Derivatives Underlying Assets List with Data
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/derivatives/underlyings \
--header 'x-cg-pro-api-key: <api-key>'[
{
"id": "bitcoin",
"symbol": "btc",
"name": "Bitcoin",
"underlying_type": "coin",
"current_price": 68708.23462448928,
"price_change_percentage_24h": -6.6178,
"open_interest": 45451655842.73,
"open_interest_change_percentage_1h": 0.4049687860147835,
"open_interest_change_percentage_24h": -0.6338842407777445,
"funding_rate": -0.0000804249910959869,
"total_volume": 434673824874.8
},
{
"id": "gold",
"symbol": "xau",
"name": "Gold",
"underlying_type": "rwa",
"current_price": 3898.7874770946237,
"price_change_percentage_24h": -0.9,
"open_interest": 2910420695.36,
"open_interest_change_percentage_1h": -1.3335382491530214,
"open_interest_change_percentage_24h": 3.701439230747514,
"funding_rate": 0.01218484286453822,
"total_volume": 12515917595.08
}
]Notes
- Results match any of
coin_idsandrwa_ids, then are narrowed byunderlying_type. - Maximum of 250 IDs per request. Wildcard searches are not supported.
- Unknown IDs are ignored. Returns
[]if nothing matches. current_price,open_interestandtotal_volumeare in USD.- Assets with
nullopen interest or volume are always listed last, whether sorted ascending or descending. - For per-ticker data, use Derivatives Tickers List.
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Coins' IDs, comma-separated if querying more than 1 coin.
*refers to /coins/list
RWAs' IDs, comma-separated if querying more than 1 RWA.
*refers to /rwas/list
Response
200 - application/json
List of derivatives underlying assets with data
Was this page helpful?

